groovy.ui.text

## Class StructuredSyntaxDocumentFilter.MultiLineRun

- java.lang.Object
- - groovy.ui.text.StructuredSyntaxDocumentFilter.MultiLineRun

Enclosing class:
  StructuredSyntaxDocumentFilter

    protected class StructuredSyntaxDocumentFilter.MultiLineRun
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MultiLineRun(int start, int end)`
`MultiLineRun(int start, int end, int delimeterSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `end()`
`int` `getDelimeterSize()`
`int` `length()`
`int` `start()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MultiLineRun

    public MultiLineRun(int start,
                        int end)
                 throws javax.swing.text.BadLocationException

Throws:
  `javax.swing.text.BadLocationException`

#### MultiLineRun

    public MultiLineRun(int start,
                        int end,
                        int delimeterSize)
                 throws javax.swing.text.BadLocationException

Throws:
  `javax.swing.text.BadLocationException`

### Method Detail

#### getDelimeterSize

    public int getDelimeterSize()

#### end

    public int end()

#### length

    public int length()

#### start

    public int start()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`